Pagina 1 van 1

CMS zonder VPS: 'Zend OPcache API is restricted by "restrict_api" configuration directive'

Geplaatst: 07 apr 2018, 22:44
door freektewater
Hallo Antagonist,

Bij mijn huidige webhosting-partij (geen VPS) krijg ik deze foutmelding als ik mijn CMS bewerk: 'Zend OPcache API is restricted by "restrict_api" configuration directive'. De webhosting-partij stelt, dat ik dat niet mag aanpassen ivm veiligheid van de andere virtuele servers. Ik kan mijn CMS dus helemaal niet gebruiken bij deze club :(

Als ik overstap naar Antagonist VPS, kan / mag ik dan wel die restrictie verwijderen..? Zo ja, hoe doe ik dat..?

Alvast bedankt,

Freek

Re: CMS zonder VPS: 'Zend OPcache API is restricted by "restrict_api" configuration directive'

Geplaatst: 09 apr 2018, 09:51
door Joris de Leeuw
Beste Freek,

De restrict_api optie van OpCache staat bij ons uit dus op dit punt zal je CMS bij ons kunnen werken.

De betreffende restrict_api optie is binnen ons platform niet nodig omdat elke klant in een container werkt. Hierdoor is het op geen enkele manier mogelijk de data van andere klanten uit te lezen en zij dit soort extra restricties in PHP overbodig. Daarnaast kan je door de opzet van ons platform zelf allerlei instellingen van PHP aanpassen.

Meer informatie over het wijzigen van instellingen van PHP is tevens te vinden op: https://www.antagonist.nl/help/nl/webho ... p-selector